Debian Bug report logs - #449081
udev: typo in rdma_ucm rules

version graph

Package: udev; Maintainer for udev is Marco d'Itri <md@linux.it>; Source for udev is src:systemd.

Reported by: Roland Dreier <rolandd@cisco.com>

Date: Fri, 2 Nov 2007 21:24:02 UTC

Severity: normal

Tags: patch

Merged with 449082

Found in version udev/0.114-2

Fixed in version udev/0.124-1

Done: Marco d'Itri <md@linux.it>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, rolandd@cisco.com, Marco d'Itri <md@linux.it>:
Bug#449081; Package udev. Full text and rfc822 format available.

Acknowledgement sent to Roland Dreier <rolandd@cisco.com>:
New Bug report received and forwarded. Copy sent to rolandd@cisco.com, Marco d'Itri <md@linux.it>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Roland Dreier <rolandd@cisco.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: udev: typo in rdma_ucm rules
Date: Fri, 02 Nov 2007 14:21:18 -0700
Package: udev
Version: 0.114-2
Severity: normal
Tags: patch

Unfortunately the patch that I included in the report for bug #427993 that
added handling of the rdma_ucm module's misc device had a typo in the rules.
Although the module name is rdma_ucm, the device that is created has

   KERNEL=="rdma_cm"

as its name, so the udev rules need to use rdma_cm instead of rdma_ucm.

I'm including a patch to fix this.

Sorry for the screwup, and I promise I did not hand-edit this patch after testing it!

diff -Naur udev-0.114.orig/debian/patches/rules udev-0.114/debian/patches/rules
--- udev-0.114.orig/debian/patches/rules	2007-11-02 14:02:16.000000000 -0700
+++ udev-0.114/debian/patches/rules	2007-11-02 14:08:34.000000000 -0700
@@ -30,7 +30,7 @@
  KERNEL=="issm*",		NAME="infiniband/%k"
  KERNEL=="uverbs*",		NAME="infiniband/%k"
  KERNEL=="ucm*",			NAME="infiniband/%k"
-+KERNEL=="rdma_ucm",		NAME="infiniband/%k"
++KERNEL=="rdma_cm",		NAME="infiniband/%k"
  
  # sound devices
  KERNEL=="controlC[0-9]*",	NAME="snd/%k"
@@ -115,7 +115,7 @@
  
  KERNEL=="uverbs*",				GROUP="rdma"
  KERNEL=="ucm*",					GROUP="rdma"
-+KERNEL=="rdma_ucm",				GROUP="rdma"
++KERNEL=="rdma_cm",				GROUP="rdma"
  
  # printers and parallel devices
  SUBSYSTEM=="printer",				GROUP="lp"
@@ -295,7 +295,7 @@
  KERNEL=="issm*",		NAME="infiniband/%k"
  KERNEL=="uverbs*",		NAME="infiniband/%k"
  KERNEL=="ucm*",			NAME="infiniband/%k"
-+KERNEL=="rdma_ucm",		NAME="infiniband/%k"
++KERNEL=="rdma_cm",		NAME="infiniband/%k"
  
  # ALSA devices
  KERNEL=="controlC[0-9]*",	NAME="snd/%k"




Merged 449081 449082. Request was from Josh Triplett <josh@freedesktop.org> to control@bugs.debian.org. (Sun, 30 Dec 2007 22:57:03 GMT) Full text and rfc822 format available.

Merged 449081 449082. Request was from Marco d'Itri <md@linux.it> to control@bugs.debian.org. (Sat, 05 Jul 2008 23:06:04 GMT) Full text and rfc822 format available.

Reply sent to Marco d'Itri <md@linux.it>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Roland Dreier <rolandd@cisco.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #14 received at 449081-close@bugs.debian.org (full text, mbox):

From: Marco d'Itri <md@linux.it>
To: 449081-close@bugs.debian.org
Subject: Bug#449081: fixed in udev 0.124-1
Date: Mon, 07 Jul 2008 11:17:07 +0000
Source: udev
Source-Version: 0.124-1

We believe that the bug you reported is fixed in the latest version of
udev, which is due to be installed in the Debian FTP archive:

libvolume-id-dev_0.124-1_i386.deb
  to pool/main/u/udev/libvolume-id-dev_0.124-1_i386.deb
libvolume-id0_0.124-1_i386.deb
  to pool/main/u/udev/libvolume-id0_0.124-1_i386.deb
udev-udeb_0.124-1_i386.udeb
  to pool/main/u/udev/udev-udeb_0.124-1_i386.udeb
udev_0.124-1.diff.gz
  to pool/main/u/udev/udev_0.124-1.diff.gz
udev_0.124-1.dsc
  to pool/main/u/udev/udev_0.124-1.dsc
udev_0.124-1_i386.deb
  to pool/main/u/udev/udev_0.124-1_i386.deb
udev_0.124.orig.tar.gz
  to pool/main/u/udev/udev_0.124.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 449081@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Marco d'Itri <md@linux.it> (supplier of updated udev package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 07 Jul 2008 02:52:00 +0200
Source: udev
Binary: udev libvolume-id0 libvolume-id-dev udev-udeb
Architecture: source i386
Version: 0.124-1
Distribution: unstable
Urgency: low
Maintainer: Marco d'Itri <md@linux.it>
Changed-By: Marco d'Itri <md@linux.it>
Description: 
 libvolume-id-dev - libvolume_id development headers
 libvolume-id0 - libvolume_id shared library
 udev       - /dev/ and hotplug management daemon
 udev-udeb  - /dev/ and hotplug management daemon (udeb)
Closes: 280894 402441 408506 416687 416687 437499 437520 438094 438470 438470 441753 442397 442796 444337 444809 447073 447346 447785 449081 449154 451986 452006 456204 456269 457616 459788 462097 465156 468939 475443 475699 475902 476725 480516 480783 480897 481559 481812 481827 481993 487764 488394 488911 489205
Changes: 
 udev (0.124-1) unstable; urgency=low
 .
   * New upstream release. (Closes: #476725, #480516) Fixes:
     + something in usb_id. (Closes: #447346)
     + RUN rules if device node removal fails. (Closes: #457616)
     + $exec_prefix in libvolume_id.pc. (Closes: #459788)
   * Made 2.6.18 the oldest supported kernel version.
   * Removed the /dev/.static/dev/ hack. It was cool, but its complexity
     is not justified anymore. (Closes: #444337, #481559)
   * Removed support for devfs-style names (devfs.rules, compat.rules,
     compat-full.rules). (Closes: #280894, #468939)
   * The rules files now are installed directly in rules.d/ and symlinks
     are not used there anymore. (Closes: #402441, #408506)
   * The standard rules files have been renamed to reduce divergences with
     other distributions: udev.rules => 50-udev.rules,
     z20_persistent-input.rules => 60-persistent-input.rules,
     z20_persistent.rules => 60-persistent-storage.rules,
     z25_persistent-net.rules 70-persistent-net.rules,
     z25_persistent-cd.rules 70-persistent-cd.rules,
     z25_cd-aliases-generator.rules => 75-cd-aliases-generator.rules,
     z25_persistent-net-generator.rules => 75-persistent-net-generator.rules,
     z55_hotplug.rules => 80-drivers.rules,
     020_permissions.rules => 91-permissions.rules,
     z50_run.rules => 95-late.rules.
 .
   * permissions.rules: added again the rule for old style USB devices,
     removed in 0.113-1. (Closes: #438470, #442397, #444809, #481827)
   * permissions.rules: removed the WAIT_FOR_SYSFS rules, not needed with
     kernels > 2.6.18-rc1.
   * hotplug.rules: removed ide.agent, not needed with kernels > 2.6.17.
   * persistent.rules: run edd_id only for sd* and hd*.
   * persistent.rules, persistent-input.rules: act on change events too.
   * persistent.rules: run usb_id only for usb devices.
   * persistent-net-generator.rules: updated with the built-in policies.
   * hotplug.rules: autoload ms_block and mspro_block.
   * run.rules: do not delete devices also present in /lib/udev/devices/.
   * persistent.rules: do not run vol_id on whole-device nodes because add
     events are not generated on media changes and the persistent links would
     not be updated.
   * permissions.rules: removed sgi_fetchop since there is also sgi_*.
   * permissions.rules: added cbm group floppy. (Closes: #437520)
   * permissions.rules: added again the permissions change for /dev/bus/usb/
     nodes created by old kernels. (Closes: #438470)
   * udev.rules, devfs.rules: added iowarrior* and bsg/*.
   * udev.rules: added a rtc symlink to rtc0.
   * udev.rules: added zap/transcode. (Closes: #456204)
   * persistent-v4l.rules: creates persistent links for V4L devices.
     (Closes: #447785)
   * udev.rules, permissions.rules: renamed rdma_ucm to rdma_cm.
     (Closes: #449081)
   * udev.rules: made the AOE rules more general to support future devices.
   * permissions.rules: made etherd/err owned by group disk.
   * permissions.rules: made event* joystick devices owned by group audio.
     (Closes: #475902)
   * udev.rules: added a rule to set all_partitions for SCSI Iomega ZIP
     drives. (Closes: #437499)
 .
   * Try copying all the rules files to the udeb. (Closes: #488394)
   * Do not install firmware.agent in the udeb, d-i will provide its own.
     (Closes: #487764)
   * hotplug.functions: fixed an error message displayed by write_net_rules
     when the rules file does not exist yet. (Closes: #442796, #475699)
   * hotplug.functions: (almost) correctly ignore commented rules.
     (Closes: #452006)
   * Removed the pnp:dPNPb02f module alias which was wrong and nowadays is
     provided by the correct module.
   * Added support for cross-compilation. (Closes: #465156)
   * Since postinst does not starts udevd in a chroot, make prerm do not
     stop it either. (Closes: #451986)
   * Use /sys/kernel/uevent_helper instead of /proc/sys/kernel/hotplug in
     the init script. (Closes: #416687)
   * Delete in the init script the /dev/.udev/ created in the initramfs.
     (Closes: #416687)
   * Fixed the command path in scsi_id(8). (Closes: #438094)
   * Added a link in /sbin to vol_id. (Closes: #488911)
   * Updated debconf translations: sk, fi, sv, de, ja, pt, ml, ca, pt_BR, es.
     (Closes: #441753, #489205, #447073, #449154, #456269, #462097, #475443)
     (Closes: #480783, #480897, #481812, #481993)
Checksums-Sha1: 
 c1232da695178c75343b28de3a6aca3447d67aa2 1003 udev_0.124-1.dsc
 fd464a0e49dd4a1e313f10369f26a0bfaba0d12a 257418 udev_0.124.orig.tar.gz
 8cbd1679e8d4a9b9eec68a004be6c8269b5e04ed 68171 udev_0.124-1.diff.gz
 5d2b9fa9b79cc6dcf0b5b33193bd4fa68d1d9cca 251058 udev_0.124-1_i386.deb
 fcc86a42c98cadfbc1358f78e458246d42f92734 74228 libvolume-id0_0.124-1_i386.deb
 82440278482b74ae6187e6b226409c3b0023729c 2422 libvolume-id-dev_0.124-1_i386.deb
 4a589f7296340446014806c44dea6c92bd2f0e6d 121514 udev-udeb_0.124-1_i386.udeb
Checksums-Sha256: 
 80e43050e4f86a4c15dc07a08162663161659a3178ec3d4a11b27e9b496a0745 1003 udev_0.124-1.dsc
 cc9f58ff58fbd3f5868e1f1e368e3c93e1f441afd0ac1dcbd5d01a9ce5b5b0d7 257418 udev_0.124.orig.tar.gz
 78b1341c80ab154035580f04d9d366d68b06166bc88c4b15fae87f0f7d0e3741 68171 udev_0.124-1.diff.gz
 7b9652fb399c49e5c262841f85ef98d8352acb018a5a8fc13b8b9afc3b3000a1 251058 udev_0.124-1_i386.deb
 3ab93a33cb93115425c8fa7f3d2aba90198d3146b83f5e38caf8665745b00d79 74228 libvolume-id0_0.124-1_i386.deb
 5ed88e745dbb067d240acda2de5a723ba4772a0bdd8a6568be6a2869c4703e9e 2422 libvolume-id-dev_0.124-1_i386.deb
 72271d38fdaf4923c5413a51d1d22feeddf5fea85c181df38f155ab08013482d 121514 udev-udeb_0.124-1_i386.udeb
Files: 
 faac826ff1d6b56161467a7002c3df12 1003 admin important udev_0.124-1.dsc
 2ea9229208154229c5d6df6222f74ad7 257418 admin important udev_0.124.orig.tar.gz
 f5beeb7f35716c632e9fed88b05eb1d4 68171 admin important udev_0.124-1.diff.gz
 18daec67e4da4c2ce686da684607340b 251058 admin important udev_0.124-1_i386.deb
 360a9ec13a9a208d5366e268472ca23d 74228 libs required libvolume-id0_0.124-1_i386.deb
 8ad0e7b1c41de5d1038944fc1d10cbdb 2422 libdevel optional libvolume-id-dev_0.124-1_i386.deb
 bdb74bf19549b930708f9200b425f3d6 121514 debian-installer important udev-udeb_0.124-1_i386.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkhx+FcACgkQFGfw2OHuP7Gn0gCfer5kYvaBBpkXIhtfk5VyzvYP
uBEAnR3UrQBcLOpdBPFRQZhnZ+2XiENS
=dOHb
-----END PGP SIGNATURE-----





Reply sent to Marco d'Itri <md@linux.it>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Roland Dreier <rdreier@cisco.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 15 Aug 2008 07:39:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:18:44 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.